import { inject } from 'inversify';
import WebSocketRPC from '../websocket/WebSocketRPC';

abstract class Service {
  @inject(WebSocketRPC)
  private webSocketRPC: WebSocketRPC;
  private name: string;
  protected constructor(name: string) {
    this.name = name;
  }

  protected send(methodName: string, ...params: any[]): Promise<string> {
    return new Promise<string>(resolve => {
      resolve('');
    });
  }
}

export default Service;
