
import * as METADATA from './constants';


function inject(): PropertyDecorator | ParameterDecorator {
  return (target: Object, propertyKey: string | symbol, parameterIndex?: number): void => {
    let metadata = new Metadata(METADATA.INJECT_TAG, serviceIdentifier);

    if (typeof parameterIndex === 'number') {
      tagParameter(target, propertyKey, parameterIndex, metadata);
    } else {
      tagProperty(target, propertyKey, metadata);
    }
  };
}
